FROM debian:buster-slim

LABEL MAINTAINER="Marcel Parciak <marcel.parciak@med.uni-goettingen.de>"

COPY packages.R packages.R
COPY genexplain.R genexplain.R
COPY Rserv_nodaemon.conf Rserv_nodaemon.conf

RUN apt -yy update && \
  apt -yy install build-essential r-base r-base-dev && \
  apt -yy install libudunits2-dev libcairo2-dev libxml2-dev libcurl4-openssl-dev libssl-dev libgeos++-dev libopenmpi-dev libx11-dev libxt-dev mesa-common-dev libglu1-mesa-dev libgdal-dev

RUN Rscript packages.R
RUN Rscript genexplain.R

CMD ["R", "CMD", "Rserve", "--no-save", "--RS-conf", "./Rserv_nodaemon.conf"]
